Make a duplicate of an existing form Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/form/{form_uuid}/duplicate

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • form_uuid string Required

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • title string
    • description string
    • live boolean
    • visibility string
    • sections object
      Hide sections attributes Show sections attributes object
      • uuid string
      • created_at string
      • updated_at string
      • section object
        Hide section attributes Show section attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • title

          The title of the section

        • position

          The position of the section

      • title string
      • help_text string
      • caption string
      • type string
      • required boolean
      • position integer
      • selection_options array[string]
      • target_field string
      • key string
      • linked_question object
        Hide linked_question attributes Show linked_question attributes object
        • type

          Type of question

        • field

          The field this question is linked to

        • label

          The label this question is linked to

        • formatted_field

          The field formatted in title case

        • selection_options

          The selection options for selection type questions

        • is_custom_field

          Denotes if this is linked to a custom field

        • forced_required

          Denotes if this is question must be required

        • caption

          Placeholder caption for this question

      • linked_primary boolean
    • allowed_hosts array[string]
    • draft_submissions_count integer
    • submitted_submissions_count integer
    • create_client boolean
    • client_type string
POST /api/v1/form/{form_uuid}/duplicate
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/duplicate' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (201)
{
  "uuid": "93709f83-ee38-4b25-b055-b00e8fd94d01",
  "created_at": "2026-07-20T09:57:24+01:00",
  "updated_at": "2026-07-20T09:57:24+01:00",
  "title": "Annual Catchup 2022",
  "description": "This is the annual catchup form for 2022",
  "live": true,
  "visibility": "public",
  "sections": {
    "uuid": "75ebee52-d924-431d-bd47-ee45475cd177",
    "created_at": "2026-07-20T09:57:24+01:00",
    "updated_at": "2026-07-20T09:57:24+01:00",
    "section": {
      "uuid": "0f9e5f5f-575a-470d-8861-6844adbb03d4",
      "created_at": "2026-07-20T09:57:31+01:00",
      "updated_at": "2026-07-20T09:57:31+01:00",
      "title": "Personal Details",
      "position": 1
    },
    "title": "What is your name?",
    "help_text": "Gareth",
    "caption": "Your full legal name",
    "type": "string",
    "required": true,
    "position": 1,
    "selection_options": [
      "option 1",
      "option 2"
    ],
    "target_field": "name",
    "key": "what_is_your_name",
    "linked_question": {
      "type": "selection",
      "field": "gender",
      "label": "Gender",
      "formatted_field": "Gender",
      "selection_options": [
        "male",
        "female",
        "non-binary",
        "transgender",
        "intersex",
        "other",
        "unknown"
      ],
      "is_custom_field": false,
      "forced_required": false,
      "caption": "Your drink preference"
    },
    "linked_primary": true
  },
  "allowed_hosts": [
    "domain.com",
    "subdomain.domain.com"
  ],
  "draft_submissions_count": 5,
  "submitted_submissions_count": 5,
  "create_client": true,
  "client_type": "client"
}